package comparing;

import java.util.Comparator;

public class CompareByAge implements Comparator<Person> {
     /** Compare two Person objects based on age.
	 @param left The left-hand side of the comparison
	 @param right The right-hand side of the comparison
	 @return A negative integer if the left person’s age
		 precedes the right person’s age;
		 0 if the ages are the same;
		 a positive integer if the left person’s age
		 follows the right person’s age.
     */
     @Override
     public int compare(Person left, Person right) {
	  return left.getAge() - right.getAge();
     }
}

